Update a saved agent
curl --request PATCH \
--url https://www.lawtte.ai/api/v1/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"objective": "<string>",
"collect": [
"<string>"
],
"related_skill": "<string>"
}
'import requests
url = "https://www.lawtte.ai/api/v1/agents/{id}"
payload = {
"name": "<string>",
"objective": "<string>",
"collect": ["<string>"],
"related_skill": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
objective: '<string>',
collect: ['<string>'],
related_skill: '<string>'
})
};
fetch('https://www.lawtte.ai/api/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.lawtte.ai/api/v1/agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'objective' => '<string>',
'collect' => [
'<string>'
],
'related_skill' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.lawtte.ai/api/v1/agents/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"objective\": \"<string>\",\n \"collect\": [\n \"<string>\"\n ],\n \"related_skill\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.lawtte.ai/api/v1/agents/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"objective\": \"<string>\",\n \"collect\": [\n \"<string>\"\n ],\n \"related_skill\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.lawtte.ai/api/v1/agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"objective\": \"<string>\",\n \"collect\": [\n \"<string>\"\n ],\n \"related_skill\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"objective": "<string>",
"fields": [
"<string>"
],
"recipient_type": "<string>",
"collect": [
"<string>"
],
"voicemail": "<string>",
"related_skill": "<string>",
"last_90_days": {}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}Agents
Update a saved agent
Changes the fields you send; the rest keep their values. Calls already placed are unchanged.
Key permission: Read history and place calls.
PATCH
/
agents
/
{id}
Update a saved agent
curl --request PATCH \
--url https://www.lawtte.ai/api/v1/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"objective": "<string>",
"collect": [
"<string>"
],
"related_skill": "<string>"
}
'import requests
url = "https://www.lawtte.ai/api/v1/agents/{id}"
payload = {
"name": "<string>",
"objective": "<string>",
"collect": ["<string>"],
"related_skill": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
objective: '<string>',
collect: ['<string>'],
related_skill: '<string>'
})
};
fetch('https://www.lawtte.ai/api/v1/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.lawtte.ai/api/v1/agents/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'objective' => '<string>',
'collect' => [
'<string>'
],
'related_skill' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.lawtte.ai/api/v1/agents/{id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"objective\": \"<string>\",\n \"collect\": [\n \"<string>\"\n ],\n \"related_skill\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://www.lawtte.ai/api/v1/agents/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"objective\": \"<string>\",\n \"collect\": [\n \"<string>\"\n ],\n \"related_skill\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.lawtte.ai/api/v1/agents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"objective\": \"<string>\",\n \"collect\": [\n \"<string>\"\n ],\n \"related_skill\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"objective": "<string>",
"fields": [
"<string>"
],
"recipient_type": "<string>",
"collect": [
"<string>"
],
"voicemail": "<string>",
"related_skill": "<string>",
"last_90_days": {}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}{
"error": {
"code": "unauthorized",
"message": "<string>"
}
}Authorizations
A connector key from Settings → AI connectors → Connector keys: Authorization: Bearer lawtte_sk_….
Path Parameters
The agent's agent_id.
Body
application/json
Required string length:
1 - 80Use {{placeholders}} for per-call details. {{name}} and {{firm}} are filled in automatically.
Required string length:
1 - 1000Available options:
client, witness, adjuster, business_office, other What the agent should find out on each call.
Maximum array length:
10Required string length:
1 - 120Available options:
leave, hang_up Pattern:
^[a-z0-9-]{1,80}$
